Package Details: lua51-event 0.4.4-1

Git Clone URL: https://aur.archlinux.org/lua51-event.git (read-only)
Package Base: lua51-event
Description: libevent binding for Lua
Upstream URL: https://github.com/harningt/luaevent
Keywords: libevent lua lua-event
Licenses: MIT
Submitter: dbb
Maintainer: dbb
Last Packager: dbb
Votes: 21
Popularity: 0.926585
First Submitted: 2012-12-29 19:07
Last Updated: 2016-08-04 18:17

Dependencies (3)

Required by (3)

Sources (1)

Latest Comments

dbb commented on 2015-06-13 17:28

@BunBum, I've added `armv7h` as an architecture, but same thing applies as before, since I can't test it myself it might break in future updates.

BunBum commented on 2015-01-02 10:26

Please ad armv7h.

dbb commented on 2014-02-21 01:48

@errier, I've added 'armv6h' to the arch array, however since I can't test this myself it might break in future updates.

errier commented on 2014-02-20 13:16

Please add armv6h architecture for raspberry pi

dbb commented on 2013-08-24 02:41

Thanks, updated with new PKGBUILD.

Siosm commented on 2013-08-21 15:47

Here is an updated (/usr move) and simplified version for those needing only lua51 support: https://github.com/Siosm/siosm-aur/blob/master/lua51-event/PKGBUILD

Siosm commented on 2013-08-21 15:38

@moebius_eye: arch=('any') means architecture independent. Packages which contains compiled code can not be arch=('any') and most lua libs have a core written in C. See https://wiki.archlinux.org/index.php/PKGBUILD#arch for more info. It's the same reason that makes some python packages not arch=('any').

moebius_eye commented on 2013-08-21 15:12

I think, when a package can potentialy be installed on any architecture, which is the case for a majority of lua libs, it's safe to use this:

arch=('any')

I successfuly installed this on a raspberry Pi. (armv6h)

moebius_eye commented on 2013-08-21 15:04

I think, when a package can potentialy be installed on any architecture, which is the case for a majority of lua libs, it's safe to use this:

architecture=('any')

I successfuly installed this on a raspberry Pi. (armv6h)

dbb commented on 2012-12-13 20:09

Yes, I'll do that tonight.

All comments